---
# see https://docs.drone.io/pipeline/configuration/
kind: pipeline
type: docker
name: build

steps:
  - name: restore-cache
    image: meltwater/drone-cache:v1.1.0
    environment:
      AWS_ACCESS_KEY_ID:
        from_secret: cache_aws_access_key_id
      AWS_SECRET_ACCESS_KEY:
        from_secret: cache_aws_secret_access_key
    pull: true
    settings:
      restore: true
      bucket: drone-cache
      region: garage
      mount:
        - 'node_modules'
      path_style: true
      endpoint: https://garage.deuxfleurs.fr

  - name: build
    # cf https://hub.docker.com/_/node?tab=description&page=1&ordering=last_updated
    image: node:14-buster
    commands:
      - npm install
      - node render.js 

  - name: upload
    image: plugins/s3
    settings:
      bucket: deuxfleurs.fr
      access_key:
        from_secret: aws_access_key_id
      secret_key:
        from_secret: aws_secret_access_key
      source: static/**/*
      strip_prefix: static/
      target: /
      path_style: true
      endpoint: https://garage.deuxfleurs.fr
      region: garage
    when:
      branch:
      - main
      event:
        exclude:
          - pull_request

  - name: rebuild-cache
    image: meltwater/drone-cache:v1.1.0
    environment:
      AWS_ACCESS_KEY_ID:
        from_secret: cache_aws_access_key_id
      AWS_SECRET_ACCESS_KEY:
        from_secret: cache_aws_secret_access_key
    pull: true
    settings:
      rebuild: true
      bucket: drone-cache
      region: garage
      mount:
        - 'node_modules'
      path_style: true
      endpoint: https://garage.deuxfleurs.fr
---
kind: signature
hmac: f1fcc439a2180d4e98224dec1cd2dc10691b58161bfee7739ae700e84f04c905

...
